> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Segment

> Create a Segment and add it to a Memory or a Document. A Segment is a source/target
pair that is used to train the machine translation system and populate
the translation memory.

The maximum source length is 5,000 characters.





## OpenAPI

````yaml /api-reference/openapi-bundled.yaml post /v2/segments
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/segments:
    post:
      tags:
        - Segments
      summary: Create a Segment
      description: >+
        Create a Segment and add it to a Memory or a Document. A Segment is a
        source/target

        pair that is used to train the machine translation system and populate

        the translation memory.


        The maximum source length is 5,000 characters.

      operationId: createSegment
      requestBody:
        description: >
          The Segment resource to create.


          To add a Segment to a Memory, include the `memory_id` and `target`
          parameters.


          To add a Segment to a Document, include the `document_id` and the
          `source` parameters.

          The `target` parameter is optional.
        required: true
        content:
          application/json:
            schema:
              title: SegmentCreateParameters
              type: object
              properties:
                memory_id:
                  description: A unique Memory identifier.
                  type: integer
                  example: 10641
                document_id:
                  description: A unique Document identifier.
                  type: integer
                  example: 1876
                source:
                  description: The source string.
                  type: string
                  example: Code zur Fehleranalyse einschalten
                target:
                  description: The target string.
                  type: string
                  example: Enable debugging code
                shouldApplySegmentation:
                  description: >-
                    A flag for whether this segment should be broken down into
                    smaller segments. If this is true then the response is an
                    array of segments.
                  type: boolean
                srcLang:
                  description: >-
                    A two letter language code for the source language. Required
                    if `shouldApplySegmentation` is enabled.
                  type: string
                  example: fr
              required:
                - source
      responses:
        '200':
          description: A Segment object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Segment'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Segment:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: A unique number identifying the Segment.
          example: 84480010
        created_at:
          type: integer
          description: >-
            Time at which the object was created. Measured in seconds since the
            Unix epoch.
          example: 1489147692
        updated_at:
          type: integer
          description: >-
            Time at which the object was created. Measured in seconds since the
            Unix epoch.
          example: 1489147692
        document_id:
          type: integer
          description: A unique Document identifier.
          example: 1234
        memory_id:
          type: integer
          description: The Memory with which this Segment is associated.
          example: 5678
        source:
          type: string
          description: The source string.
          example: The red bus.
        srclang:
          type: string
          description: An ISO 639-1 language code.
          example: en
        target:
          type: string
          description: The target string.
          example: Le bus rouge.
        trglang:
          type: string
          description: An ISO 639-1 language code.
          example: fr
        is_confirmed:
          type: boolean
          description: The confirmation status.
          example: true
        is_reviewed:
          type: boolean
          description: The review status.
          example: true
      description: >
        A Segment is a source string and, optionally, its translation. A Segment
        can be associated with both a Memory and a Document. The Segment object
        contains additional metadata about the source and target strings.
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````